List API keys using a SimplePay customer session
curl --request GET \
--url https://api.simplepay.mx/v1/api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplepay.mx/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"can_manage": true,
"keys": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by_email": "jsmith@example.com",
"description": "<string>",
"environment": "sandbox",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"obfuscated_value": "<string>",
"scopes": [
"<string>"
],
"status": "active"
}
],
"live_ready": true,
"object": "simplepay.v1.api_keys"
}GET
/
v1
/
api-keys
List API keys using a SimplePay customer session
curl --request GET \
--url https://api.simplepay.mx/v1/api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.simplepay.mx/v1/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.simplepay.mx/v1/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"can_manage": true,
"keys": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_by_email": "jsmith@example.com",
"description": "<string>",
"environment": "sandbox",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"obfuscated_value": "<string>",
"scopes": [
"<string>"
],
"status": "active"
}
],
"live_ready": true,
"object": "simplepay.v1.api_keys"
}Authorizations
SimplePay customer session bearer. Never a tenant API credential.
Query Parameters
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$Available options:
sandbox, live Response
200 - application/json
Tenant/environment-scoped API credential list.
Hide child attributes
Hide child attributes
Maximum string length:
120Available options:
sandbox, live Available options:
active, failed, provisioning, revoked, revoking, rotating Last modified on September 1, 2026